RegexpFactory (Apache Ant API)
Date: 2018-09-11

Package org.apache.tools.ant.util.regexp

## Class RegexpFactory

- java.lang.Object
- - org.apache.tools.ant.util.regexp.RegexpMatcherFactory
  - - org.apache.tools.ant.util.regexp.RegexpFactory

-     public class RegexpFactory
      extends RegexpMatcherFactory

  Regular expression factory, which will create Regexp objects. The actual implementation class depends on the System or Ant Property: `ant.regexp.regexpimpl`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegexpFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Regexp` | `createRegexpInstance​(java.lang.String classname)` | Wrapper over RegexpMatcherFactory.createInstance that ensures that we are dealing with a Regexp implementation.
    `Regexp` | `newRegexp()` | Create a new regular expression matcher instance.
    `Regexp` | `newRegexp​(Project p)` | Create a new regular expression matcher instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.apache.tools.ant.util.regexp.RegexpMatcherFactory

      `createInstance, newRegexpMatcher, newRegexpMatcher, regexpMatcherPresent, testAvailability`

- - ### Constructor Detail

    - #### RegexpFactory

          public RegexpFactory()

  - ### Method Detail

    - #### newRegexp

          public Regexp newRegexp()
                           throws BuildException

      Create a new regular expression matcher instance.
      Returns:
        the matcher instance
      Throws:
        `BuildException` - on error

    - #### newRegexp

          public Regexp newRegexp​(Project p)
                           throws BuildException

      Create a new regular expression matcher instance.
      Parameters:
        `p` - Project whose ant.regexp.regexpimpl property will be used.
      Returns:
        the matcher instance
      Throws:
        `BuildException` - on error

    - #### createRegexpInstance

          protected Regexp createRegexpInstance​(java.lang.String classname)
                                         throws BuildException

      Wrapper over RegexpMatcherFactory.createInstance that ensures that we are dealing with a Regexp implementation.
      Parameters:
        `classname` - the name of the class to use.
      Returns:
        the instance.
      Throws:
        `BuildException` - if there is a problem.
      Since:
        1.3
      See Also:
        `RegexpMatcherFactory.createInstance(String)`